using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria;
using Terraria.DataStructures;
using Terraria.ID;

namespace Decimation.Content.Items.Misc.Souls
{
    internal class SoulofTime : DecimationItem
    {
        protected override string ItemName => "Soul of Time";
        protected override string ItemTooltip => "The essence of fate.";
        protected override DrawAnimation Animation => new DrawAnimationVertical(5, 4);

        protected override void Init()
        {
            item.width = 22;
            item.height = 24;
            item.value = Item.buyPrice(0, 0, 1);
            item.rare = Rarity.Orange.GetRarityValue();

            this.item.maxStack = 999;

            ItemID.Sets.ItemNoGravity[this.item.type] = true;
        }
    }
}